org.sonatype.maven.polyglot.groovy

## Class GroovyMapping

- java.lang.Object
- - org.sonatype.maven.polyglot.mapping.MappingSupport
  - - org.sonatype.maven.polyglot.groovy.GroovyMapping

All Implemented Interfaces:
  Mapping

    @Component(role=Mapping.class,
               hint="groovy")
    public class GroovyMapping
    extends MappingSupport

Groovy model mapping.

Since:
  0.7
Author:
  Jason Dillon

### Constructor Summary

Constructors
Constructor and Description
`GroovyMapping()`

### Method Summary

### Methods inherited from class org.sonatype.maven.polyglot.mapping.MappingSupport

`accept, getAcceptLocationExtensions, getAcceptOptionKeys, getPomNames, getPriority, getReader, getWriter, locatePom, setAcceptLocationExtensions, setAcceptOptionKeys, setPomNames, setPriority`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroovyMapping

    public GroovyMapping()